%define upstream_name    Time-modules
%define upstream_version 2011.0517

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Time modules for perl
License:    distributable
Group:      Development/Perl
Url:        http://www.cpan.org/modules/by-module/Time/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This package contains the following perl5 modules:

        Time::CTime.pm
                ctime, strftime, and asctime
        Time::JulianDay.pm
                Julian Day conversions
        Time::ParseDate.pm
                Reverses strftime and also understands relative times
        Time::Timezone.pm
        Time::DaysInMonth.pm

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc CHANGELOG META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Time/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2011.51.700-2.mga3
+ Revision: 374364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 2011.51.700-1.mga2
+ Revision: 109034
- update to 2011.0517

* Sat Jan 22 2011 jquelin <jquelin> 2006.0814-4.mga1
+ Revision: 31384
- mageia rebuild
- imported package perl-Time-modules

